Package be.fgov.ehealth.ehbox.consultation.protocol.v3

# Class GetMessageAcknowledgmentsStatusResponse

java.lang.Object
be.fgov.ehealth.commons.protocol.v1.ResponseType
be.fgov.ehealth.ehbox.consultation.protocol.v3.GetMessageAcknowledgmentsStatusResponse

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:01+02:00", comments="JAXB RI v4.0.5") public class GetMessageAcknowledgmentsStatusResponse extends ResponseType implements Serializable

Java class for GetMessageAcknowledgmentsStatusResponseType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetMessageAcknowledgmentsStatusResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v1}ResponseType">
           <sequence minOccurs="0">
             <element name="AcknowledgmentsStatus">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <sequence>
                       <element name="Row" maxOccurs="unbounded">
                         <complexType>
                           <complexContent>
                             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                               <sequence>
                                 <element name="Recipient" type="{urn:be:fgov:ehealth:ehbox:core:v3}EhboxIdentifierType"/>
                                 <element name="Published" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                                 <element name="Received" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                                 <element name="Read" type="{http://www.w3.org/2001/XMLSchema}dateTime" minOccurs="0"/>
                               </sequence>
                             </restriction>
                           </complexContent>
                         </complexType>
                       </element>
                     </sequence>
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `GetMessageAcknowledgmentsStatusResponse()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AcknowledgmentsStatus`
  `getAcknowledgmentsStatus()`
  Gets the value of the acknowledgmentsStatus property.
  `void`
  `setAcknowledgmentsStatus(AcknowledgmentsStatus value)`
  Sets the value of the acknowledgmentsStatus property.

  ### Methods inherited from class be.fgov.ehealth.commons.protocol.v1.ResponseType

  `getId, getStatus, setId, setStatus`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### GetMessageAcknowledgmentsStatusResponse

    public GetMessageAcknowledgmentsStatusResponse()

- ## Method Details

  - ### getAcknowledgmentsStatus

    public AcknowledgmentsStatus getAcknowledgmentsStatus()
    Gets the value of the acknowledgmentsStatus property.
    Returns:
      possible object is `AcknowledgmentsStatus`

  - ### setAcknowledgmentsStatus

    public void setAcknowledgmentsStatus(AcknowledgmentsStatus value)
    Sets the value of the acknowledgmentsStatus property.
    Parameters:
      `value` - allowed object is `AcknowledgmentsStatus`